summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorAlexis2018-12-17 09:17:33 +0100
committerAlexis2018-12-17 09:17:33 +0100
commitd6bfdc1a83d6417783cc5de2c8ea628ffb9199d0 (patch)
tree4092dcff98a9fe7f4f120082abaed86d10dc7816 /PKGBUILD
parentc73f7757225cb0994ce98f969310e143797f179a (diff)
downloadaur-d6bfdc1a83d6417783cc5de2c8ea628ffb9199d0.tar.gz
fix: add --tags to pkgver
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD2
1 files changed, 1 insertions, 1 deletions
diff --git a/PKGBUILD b/PKGBUILD
index e170b7d1965..5d90dacb9e6 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -31,7 +31,7 @@ sha1sums=('SKIP'
pkgver() {
cd "${srcdir}/${pkgname}"
- set -o pipefail git describe --long 2>/dev/null | sed 's/([^-]*-g)/r\1/;s/-/./g' || printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ set -o pipefail git describe --long --tags 2>/dev/null | sed 's/([^-]*-g)/r\1/;s/-/./g' || printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
prepare() {